package com.shigongli.common;

import com.shigongli.constants.StatusConstant;
import com.shigongli.entity.TaPerson;
import com.shigongli.service.ITaPersonService;
import org.springframework.beans.factory.annotation.Autowired;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

public class BaseController {
    @Autowired
    ITaPersonService iTaPersonService;

    public TaPerson getPerson(HttpServletRequest request) {
        String token = JWTUtils.getToken(request);
        try {
            Map<String, Object> params = JWTUtils.decode(token);
            String personId = params.get("userId").toString();
            TaPerson taPerson = iTaPersonService.getById(personId);

            return null == taPerson || StatusConstant.DELETE.equals(taPerson.getStatus()) ? null : taPerson;
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }
}
