package com.shigongli.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.shigongli.common.StringUtils;
import com.shigongli.entity.TaMetaImageTag;
import com.shigongli.mapper.TaMetaImageTagMapper;
import com.shigongli.service.ITaMetaImageTagService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 图片标签 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-12-11
 */
@Service
public class TaMetaImageTagServiceImpl extends ServiceImpl<TaMetaImageTagMapper, TaMetaImageTag> implements ITaMetaImageTagService {

    @Autowired
    TaMetaImageTagMapper taMetaImageTagMapper;

    @Override
    public void removeAllBy(List<String> tagIds) {
        if (tagIds == null || tagIds.size() < 1) {
            return;
        }

        taMetaImageTagMapper.removeAllBy(tagIds);
    }

    @Override
    public IPage<TaMetaImageTag> pagedBy(IPage<TaMetaImageTag> pg, String tagIds) {
        String[] tagIdList = StringUtils.isEmpty(tagIds) ? null : tagIds.split(",");
        return taMetaImageTagMapper.pagedBy(pg, tagIdList);
    }

    @Override
    public void removeAllBy(String[] originTags, String originImage) {
        if (originTags == null || originTags.length < 1) {
            return;
        }

        if (StringUtils.isEmpty(originImage)) {
            return;
        }

        taMetaImageTagMapper.removeAllByTagAndImage(originTags, originImage);
    }
}
